Package org.apache.lucene.util.fst

## Interface FSTStore

- All Superinterfaces:
    `Accountable`, `FSTReader`
  All Known Implementing Classes:
    `OffHeapFSTStore`, `OnHeapFSTStore`

      public interface FSTStore
      extends FSTReader

  A type of `FSTReader` which needs data to be initialized before use

- - ### Field Summary

    - ### Fields inherited from interface org.apache.lucene.util.Accountable

      `NULL_ACCOUNTABLE`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `FSTStore` | `init​(DataInput in, long numBytes)` | Initialize the FSTStore

    - ### Methods inherited from interface org.apache.lucene.util.Accountable

      `getChildResources, ramBytesUsed`

    - ### Methods inherited from interface org.apache.lucene.util.fst.FSTReader

      `getReverseBytesReader, writeTo`

- - ### Method Detail

    - #### init

          FSTStore init​(DataInput in,
                        long numBytes)
                 throws IOException

      Initialize the FSTStore
      Parameters:
        `in` - the DataInput to read from
        `numBytes` - the number of bytes to read
      Returns:
        this FSTStore
      Throws:
        `IOException` - if exception occurred during reading the DataInput